Bug 530862 (CVE-2009-3700, CVE-2009-3826) - squidGuard: buffer overflow in sgLog.c (CVE-2009-3700) and two URL filter bypass issues (CVE-2009-3826)
Summary: squidGuard: buffer overflow in sgLog.c (CVE-2009-3700) and two URL filter byp...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-3700, CVE-2009-3826
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://secunia.com/advisories/37107/
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-25 18:17 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-04 14:00:02 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2009-10-25 18:17:09 UTC
squidGuard upstream has released patches fixing (quoting
from upstream advisories):

a, This patch fixes one buffer overflow problem in sgLog.c when overlong URLs
are requested. SquidGuard will then go into emergency mode were no blocking
occurs. This is not required in this situation.

URL:  http://www.squidguard.org/Downloads/Patches/1.4/Readme.Patch-20091015
----

b, This patch fixes two bypass problems with URLs which length is close to the 
limit defined by MAX_BUF (default: 4096) in squidGuard and MAX_URL (default:
4096 in squid 2.x and 8192 in squid 3.x) in squid. For this kind of URLs the 
proxy request exceeds MAX_BUF causing squidGuard to complain about not being 
able to parse the squid request.

URL:  http://www.squidguard.org/Downloads/Patches/1.4/Readme.Patch-20091019
----

References:
-----------
http://secunia.com/advisories/37107/
http://www.securityfocus.com/bid/36800/info
http://www.nntpnews.net/f3468/ports-139844-maintainer-update-www-squidguard-fix-security-vulnerabilities-11997445/

Upstream patches - squidGuard 1.4:
----------------------------------
http://www.squidguard.org/Downloads/P.../squidGuard-1.4-patch-20091015.tar.gz
http://www.squidguard.org/Downloads/P.../squidGuard-1.4-patch-20091019.tar.gz

Upstream advisories:
--------------------
http://www.squidguard.org/Downloads/Patches/1.4/Readme.Patch-20091015
http://www.squidguard.org/Downloads/Patches/1.4/Readme.Patch-20091019

Comment 1 Jan Lieskovsky 2009-10-25 18:18:05 UTC
These issues affects the versions of the squidGuard package, as shipped
with Fedora release of 10 and 11.

Please fix.

Comment 2 Fedora Update System 2009-10-26 14:12:10 UTC
squidGuard-1.4-8.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/squidGuard-1.4-8.fc10

Comment 3 Fedora Update System 2009-10-26 14:12:21 UTC
squidGuard-1.4-8.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/squidGuard-1.4-8.fc11

Comment 4 Tomas Hoger 2009-10-28 15:03:48 UTC
CVE-2009-3700:
Buffer overflow in sgLog.c in squidGuard 1.3 and 1.4 allows remote
attackers to cause a denial of service (application hang or loss of
blocking functionality) via a long URL with many / (slash) characters,
related to "emergency mode."

CVE-2009-3826:
Multiple buffer overflows in squidGuard 1.4 allow remote attackers to
bypass intended URL blocking via a long URL, related to (1) the
relationship between a certain buffer size in squidGuard and a certain
buffer size in Squid and (2) a redirect URL that contains information
about the originally requested URL.

Comment 5 Fedora Update System 2009-11-04 12:21:07 UTC
squidGuard-1.4-8.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2009-11-04 12:40:21 UTC
squidGuard-1.4-8.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.